summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-09-11 12:59:42 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-09-11 12:59:42 +0200
commiteeb473d14baafae95a70a61935629410b46f4de9 (patch)
treee64bb68efb659af6378789a5688f5dfc6e442f21
parent7e059d813c0f3c2244f770b3475a4387f6e46f2f (diff)
[bin] added supd
-rwxr-xr-xbin/extra/supd22
1 files changed, 22 insertions, 0 deletions
diff --git a/bin/extra/supd b/bin/extra/supd
new file mode 100755
index 0000000..b4347b2
--- /dev/null
+++ b/bin/extra/supd
@@ -0,0 +1,22 @@
+#!/bin/sh
+
+print_dir () { printf '%s: ' "$1" | sed "s#$HOME#~#" >&2; }
+
+check ()
+{
+ for dir in $1
+ do
+ print_dir "$2/$dir"
+ cd "$2/$dir" || continue
+ git pull 2> /dev/null | tr -d '\n'
+ echo
+ done
+}
+
+dirs="installdrier dotfiles password-store"
+prefix="$HOME/src"
+check "$dirs" "$prefix"
+
+# dirs="$(ls -1 "$HOME/proj/personal")"
+# prefix="$HOME/proj/personal"
+# check "$dirs" "$prefix"